#include <bits/stdc++.h>
using namespace std;
#define ll long long
const ll mod=1e9+7;
int main()
{
    ll n;
    scanf("%lld",&n);
    ll x[n+1],y[n+1];
    ll res[n+1]={0};
    //int xmn=1e5+50,xmaks=-1e5-50,ymn=1e5+50,ymaks=-1e5-50;
    vector<ll>X;
    vector<ll>Y;
    for(ll i=1;i<=n;i++)
    {
        scanf("%lld%lld",&x[i],&y[i]);
        X.push_back(x[i]);
        Y.push_back(y[i]);
        for(ll j=0;j<i;j++)
        {
            for(ll k=0;k<i;k++)
            {
                ll temp=0;
                for(ll l=1;l<=i;l++)
                {
                    temp+=abs((X[j]-x[l])*(Y[k]-y[l]));
                }
                res[i]=max(res[i],temp);
            }
        }
        res[i]%=mod;
    }
    for(ll i=1;i<=n;i++)
    {
        printf("%lld\n",res[i]);
    }
    return 0;
}